// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_batch(Title,data,p)
  fname="dynpeak_batch";

  if type(Title)<>10|size(Title,'*')<>1 then
    error(msprintf(_("%s: Wrong type for argument %d: a string expected.\n"),fname,1))
  end
  if typeof(data)<>"st"|or(gsort(fieldnames(V),'g','i')<>["LH";"T";"name"]) then
    error(msprintf(_("%s: Wrong type for argument %d: a struct with %s fields expected.\n"),fname,2,sci2exp(["LH","T","name"],0)))
  end
  params=lhpeak_default_params()
  if argn(2)==3 then
    F=fieldnames(p)
    valid=fieldnames(params);
    for k=1:size(F,'*')
      if or(F(k)==valid) then
        params(F(k))=p(F(k))
      else
        error(msprintf(_("%s: Wrong value for argument %d: unexpected field %s.\n"),fname,3,F(k)))
      end
    end
  end
  datanames=[];
  for k=1:size(data,'*')
    datanames=[datanames;data(k).name];
  end
  fig=scf(max(winsid())+1);
  fig.figure_name=Title
  
  mainpars=struct("dynpeak",...
                  struct("detectionparams",params(),...
                         "data",data))
  set(fig,'user_data',mainpars);
  addmenu(fig.figure_id,_("Data"),datanames,list(2,"dynpeak_batch_data"));
  addmenu(fig.figure_id,_("Settings"),list(2,"dynpeak_batch_settings"));

  addmenu(fig.figure_id,_("Detection"),list(2,"dynpeak_batch_compute"));
  fig.event_handler="dynpeak_batch_handler";
endfunction
