// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_batch_menus(k,win)
  fig=get_figure_handle(win);
  mainpars=fig.user_data.dynpeak;
  V=mainpars.data
  name=V(k).name;// nom de la feuille
  LH=V(k).LH;
  T=V(k).T;
 //suppression des données non fournies (NaN)
  del=find(isnan(LH)|isnan(T));
  T(del)=[];
  LH(del)=[];
  //traitement
  scf(win);
  ax=gca();
  if ax.children<>[] then delete(ax.children),end
  ax.data_bounds=[T(1) min(LH);T($) max(LH)];
  ax.axes_visible="on";
  ax.clip_state="clipgrf";
  ax.background=color(240,240,240)
  xrect(T(1),1.5*max(LH),T($)-T(1),2*max(LH))
  rect=gce();rect.background=-2;rect.fill_mode='on';
  rect.clip_state="clipgrf";
  xpoly(T,LH);title(name)
  ax.x_label.text=_("time (mn)")
  ax.y_label.text=_("LH (ng/ml)")
  
  set(ax,'user_data',struct("T",T,"LH",LH,"rect",rect,"name",name));
  fig.event_handler_enable = "on";
endfunction
