// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function Tau=lhpeak_tau(sig,t,indpeaks)
//estimated exponential decreasing factor for LH pulses.
  function e=G_exp(p,Z),e=p(1)*exp(-p(2)*Z(1))-Z(2),endfunction
  Tau=[];Err=[]
  fig=scf(max(winsid())+1);
  subplot(211)
  plot(t,sig,"-o")
  tp=t(indpeaks)';sp=sig(indpeaks)';
  plot(tp,sp,"or")
  m=max(sig)
  xsegs([tp;tp],[zeros(tp);2*m*ones(tp)],color('gray')); 

  for k=1:size(indpeaks,'*')-1
    sig_seg=sig(indpeaks(k):indpeaks(k+1));
    t_seg=t(indpeaks(k):indpeaks(k+1));
    kend=find(diff(sig_seg)>0.0,1);
    if kend<=2|kend==[] then
      Tau=[Tau %nan]
      Err=[Err %nan]
      continue
    end
    if kend>3 then
      t0=t_seg(2)
      sig_seg=sig_seg(2:kend);
      t_seg=t_seg(2:kend)-t_seg(2);
    else
      t0=t_seg(1)
      sig_seg=sig_seg(1:kend);
      t_seg=t_seg(1:kend)-t_seg(1);
    end
    [p,e]=fit_dat(G_exp,[sig_seg(1);0.02],[t_seg';  sig_seg'])
    Tau=[Tau p(2)]
    Err=[Err e]
    yn=p(1)*exp(-p(2)*t_seg);
    plot(t_seg+t0,yn,'r')
  end
  subplot(212)
  xsegs([tp;tp],[zeros(tp);ones(tp)],color('gray')); 
  e=gce();e.clip_state = "clipgrf"
  plot(t(indpeaks(1:$)),[Tau Tau($)])
  a=gca();a.data_bounds(:,1)=[min(t);max(t)];
  a=gca();a.data_bounds(:,2)=[0.01;0.04];
  a.children(1).children.polyline_style=2;
 
endfunction
