// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function dynpeak_init_graph(fig,bounds1,bounds2,leg)
//Creates the graphics entities data structures
  Version=getversion('scilab');
  scf(fig);clf();drawlater()
  fig.figure_name=_("Peak detection tool %d")
  // First plot: the given signal together with the peak positions 
  ax1=gca();
  ax1.axes_bounds = [0,0.05,1,0.45];
  ax1.data_bounds=bounds1;
  ax1.title.text=leg
  ymax=max(sig)*1.5;
  ax1.axes_visible="on";
  ax1.box = "on"
  ax1.clip_state = "clipgrf" 
  ax1.y_label.text=_("LH level (ng/ml)");
  ax1.x_label.text=_("Time");
  ax1.background=color(240,240,240)
  
  //Create selection rectangle
  xrect(0,0,0,0);s1=gce();
  s1.background=-2;s1.fill_mode='on';
  s1.clip_state="clipgrf";

  // Detection Threshold
  xpoly(0,0)
  dt1=gce();
  dt1.foreground=5;
  dt1.background=5;

 
  // create polyline for selected point
  xpoly(0,0);m1=gce();
  m1.mark_mode="off";
  m1.fill_mode="on";
  m1.closed="on";
  m1.line_mode="on";
  m1.foreground=color("gray");
  m1.background= color("gray");
  m1.mark_style = 9;
  m1.mark_size_unit = "point";
  m1.mark_size = 6;
  m1.mark_foreground = 5;
  m1.mark_background = 5;
  m1.mark_mode="off";

  // input signal entity, with marks at data points
  xpoly(0,0)
  p1=gce();
  p1.mark_mode = "on";
 
  p1.mark_style = 9;
  p1.mark_size_unit = "point";
  if and(Version(1:2)>=[5 4]) then
     p1.mark_size = 4;
  else
    p1.mark_size = 2;
  end
  p1.foreground=2;
  
  // the incertitude bars 
  xsegs([0 0],[0 0],color('gray'))
  i1=gce();
  i1.visible='off'
  i1.thickness=2;

  // the peak location entity, with vertical bars
  xpoly(0,0);
  b1=gce();
  b1.polyline_style=3; //barplot
  b1.foreground = color("gray");
  b1.line_mode="off";
  b1.mark_mode="off";
  
  //ignored point entity
  xpoly(0,0)
  ip1=gce();
  ip1.mark_mode = "on";
  ip1.line_mode = "off";
  ip1.mark_style = 2;
  ip1.mark_size_unit = "point";
  ip1.mark_size = 6;
  ip1.mark_foreground=5;
 
  //imposed peaks entity
  xpoly([],[]);
  fp1=gce();
  fp1.polyline_style=3; //barplot
  fp1.foreground = 5;
  fp1.line_style = 3;
  fp1.line_mode="off";
  fp1.mark_mode="off";

  
  xlm = ax1.data_bounds(:,1);

  ax2=newaxes();
  ax2.axes_bounds = [0,0.5,1,0.45];
  ax2.data_bounds=bounds2;
  ax2.axes_visible="on";
  ax2.box = "on"
  ax2.clip_state = "clipgrf"
  ax2.x_label.text=_("Time");
  ax2.y_label.text=_("Inter peak interval");
  
  // create polyline for selected point
  xpoly(0,0);m2=gce();
  m2.mark_mode="on";
  m2.line_mode="off";
  m2.mark_style = 9;
  m2.mark_size_unit = "point";
  m2.mark_size = 6;
  m2.thickness = 3;
  m2.mark_foreground=5;
  m2.mark_background=5;
  ax2.data_bounds(:,1)=xlm;

  //IPI curve
  xpoly(0,0);
  p2=gce();
  p2.mark_mode = "on";
  p2.mark_style = 9;
  p2.mark_size_unit = "point";
  if and(Version(1:2)>=[5 4]) then
    p2.mark_size = 4;
  else
    p2.mark_size = 2;
  end
  p2.foreground=2;
  
  //tunnel mean line
  xpoly(0,0);
  tmed=gce();
  tmed.line_style = 2
  tmed.foreground=color("green");
  
  //tunnel low line
  xpoly(0,0);
  tlow=gce();
  tlow.foreground=color("cyan");
  
  //tunnel high line
  xpoly(0,0);
  thigh=gce();
  thigh.foreground=color("red");
  
  //create menus
  addmenu(fig.figure_id,_("Settings"),list(2,"dynpeak_settings_menus"));
  

  addmenu(fig.figure_id,_("Results"),...
          [_("Binary save")
           _("Export")],list(2,"dynpeak_result_menus"));
  

  drawnow()
endfunction
