function follicle_GUI(n)
  margin_x     = 5;      // Horizontal margin between each elements
  margin_y     = 5;      // Vertical margin between each elements
  button_w     = 70;
  button_h     = 30;
  frame_h     = 300;
  frame_w     = 440;
  label_h      = 20;
  lab1_w=60;
  lab2_w=50;

  list_h       = 120;
  list_w       = 100;
  list_incr    = list_w;
  F2_w         = 2*margin_x+lab1_w+n*lab2_w;// Follicle Frame width
  F2_h         = 3*margin_y+14*label_h+4*margin_y;// Follicle Frame height
  F1_w         = 2*margin_x+lab1_w+lab2_w+50;// Follicle Frame width 
  F1_h         = F2_h;// Follicle Frame width 
  
  axes_w       = 3*margin_x+F1_w+F2_w;
  axes_h       = 2*margin_y+F2_h;
  defaultfont  = "arial"; // Default Font
  f=gdf();
  f.axes_size       = [axes_w axes_h];
  main_id=max(winsid())+1
  main = scf(main_id)
  set(f, 'default_values', 1); 
  // Remove Scilab graphics menus & toolbar
  drawlater 
  delmenu(main_id, _("&File"));
  delmenu(main_id, _("&Tools"));
  delmenu(main_id, _("&Edit"));
  delmenu(main_id, _("&?"));
  toolbar(main_id, "off");

  main.axes_size       = [axes_w axes_h];
  main.background      = addcolor([0.8 0.8 0.8]);
  main.figure_name     = _("Follicle parameters");

  ax=main.children;
  ax.visible="off";//background= main.background ;
  
  F1=uicontrol( ...
      "parent"              , main,...
      "style"               , "frame",...
      "units"               , "pixels",...
      "position"            , [margin_x 0 F1_w F2_h],...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
  pnames=["$\gamma_s$","$N_c$" "$M_f$","$M_o$","$U_{min}$" "$c$" "$m$" ...
          "$K$" "$\bar{\gamma}$" "$N_m$" "$CFL$" "$t_{max}$"]
  groups=[2 9]
  callbacks=["GlobalMainPopup()";"GlobalColPopup()";"GlobalRowPopup()";"GlobalDataCallback()"]
  H=EditParameters(F1,_("Global parameters"), pnames,_("Values"),groups,callbacks);
  d=DefaultGlobalValues()
  for l=1:12
    H(l+1,2).string=string(d(l))
    H(l+1,2).ForegroundColor=[0 0 0];
  end
  
  F2=uicontrol( ...
      "parent"              , main,...
      "style"               , "frame",...
      "units"               , "pixels",...
      "position"            , [2*margin_x+F1_w 0 F2_w F2_h],...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
  pnames=["$C_a$","$C_{\gamma}$","$\sigma^2$","$M$","$b_1$" "$b_2$" "$b_3$","$g_1$" ...
          "$g_2$","$c_1$" "$c_2$" "$\bar{u}$"];
  groups=[3 4 7 9]
  callbacks=["LocalMainPopup()";"LocalColPopup()";"LocalRowPopup()";"LocalDataCallback()"]
  H=EditParameters(F2,_("Local Follicle parameters"), pnames,"f"+string(1:n),groups,callbacks)
  //set the default values
  d=DefaultLocalValues()
    for k=2:size(H,2)
      for l=1:12
        H(l+1,k).string=string(d(l))
        H(l+1,k).ForegroundColor=[0 0 0];
      end
    end
  main_ud=struct()
  main_ud.frames=[F1 F2];
  main_ud.col=[]
  main_ud.Editors=[]
  main.user_data=main_ud
  addmenu(main_id,_("&File"),[_("Save");_("Load");_("Export")],list(2,"FileMenu"))
  addmenu(main_id,_("&Simulation"),[_("Settings");_("Run");_("View")], ...
          list(2,"SimulationMenu"))
  main.axes_size       = [axes_w axes_h];
  drawnow
endfunction
