// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function interactive_lhpeaks(sig,t,p)
//Ts: signal sampling time (in minutes),or vector of sample dates
//sig:  signal
//peakind: vector of peaks indices.
  fname="interactive_lhpeaks"

  if type(sig)<>1|and(size(sig)<>1)|~isreal(sig) then
    error(msprintf(_("%s: Wrong type for argument %d: Real vector expected.\n"),fname,1))
  end
  sig=sig(:);

  if type(t)<>1|~isreal(t)|and(size(t)<>1) then
    error(msprintf(_("%s: Wrong type for argument %d: Real array expected.\n"),fname,2))
  end
  if size(t,'*')==1 then
    t=(0:size(sig,'*')-1)'*t;
  else
    if size(t,'*')<>size(sig,'*') then
      error(msprintf(_("%s: Incompatible input arguments #%d and #%d: Same sizes expected.\n"),fname,1,2))
    end
  end
  
  if argn(2)>2 then
    params=lhpeaks_check_options(p,size(sig,1),fname)
  else
    params=lhpeak_default_params()
  end

  Alpha=0.6
  fig=gcf();
  indpeaks  = lhpeaks(sig,t,params)

  //%%%%%%%%%%%%%%%%%% graphics  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  fig_ud=fig.user_data

  dynpeak_init_graph(fig,[0 min(sig);t(1) max(sig)],...
                         [0 0;       t($) max(diff(t(indpeaks)))],"")
  
  //interactive mode
  fig_ud.dynpeak.ok=%f;
  fig_ud.dynpeak.selected=[];
  fig_ud.dynpeak.history=list();
  fig_ud.dynpeak.T=t;
  fig_ud.dynpeak.LH=sig;
  fig_ud.dynpeak.Alpha=Alpha;
  fig_ud.dynpeak.detectionparams=params
  fig_ud.handlers=[];
  set(fig,"user_data",fig_ud);
  fig.event_handler="dynpeak_eventhandler";
  fig.event_handler_enable = "on";
  
  dynpeak_update_graph(fig,t,sig,indpeaks)
  drawnow()
endfunction
