mode(-1)
path=dynpeakpath()
Sheets=readxls(path+"demos/DATA/Profils_Endocriniens_Vaches_Greleraie.xls');

selections=list([1 36;38 73],...
                [1 36;38 71],...
                [1 36;38 74],...
                [1 34;37 70],...
                [1 37;38 73],...
                [1 36;38 74],...
                [1 36],...
                [1 34;38 73])
//test with default parameters
p=struct("globalreltol",0.20,...
           "localabstol",0.10,...
           "threepointtol",0.10,...
           "uncertainty",[0,1000;0 0],...
           "period",40,...
           "imposedpeaks",[],...
           "ignoredpoints",[],...
           "selection",[]);
refs=list(...
    [7;11;16;19;24;28;31],...
    [47;51;55;60;64;68;72],...
    [5;8;11;19;26;33],...
    [39;46;50;53;60;63;66],...
    [6;10;15;19;24;29;34],...
    [43;48;52;57;61;66;70],...
    [9;13;17;22;26;31],...
    [41;50;56;60;64],...
    [5;11;17;24;30;36],...
    [46;50;54;60;68],...
    [8;14;21;27;34],...
    [45;50;53;56;61;68;73],...
    [5;11;17;23;29;34],...
    [4;10;17;23;30],...
    [39;42;51;54;61;67;73] );
count=0;
for k=1:8
  data=Sheets(k).value(3:88,[1 3])
  T=data(:,1)*60;
  LH=data(:,2);
  sel=selections(k);
  
  for l=1:size(sel,1)
    p.selection=sel(l,:);
    peakind = lhpeaks(LH, T,p);//mprintf("%s,...\n",sci2exp(peakind,0))
    count=count+1;
    if or(peakind<>refs(count)) then mprintf("Cow %d failed on test %d for selection %d\n",k,1,l),pause,end
  end
end

//test with optimization
p=struct("globalreltol",0.20,...
           "localabstol",0.10,...
           "threepointtol",0.10,...
           "uncertainty",[0.1,0.2,0.4,0.8,1.6,3.2,6.4;0.078,0.053,0.044,0.05,0.042,0.042,0.034],...
           "period",40,...
           "imposedpeaks",[],...
           "ignoredpoints",[],...
           "selection",[]);

refs=list([7;11;16;20;24;28;31],...
          [47;51;55;60;64;68;72],...
          [5;8;11;19;26;33],...
          [39;46;50;53;60;63;66],...
          [6;10;15;19;24;29;34],...
          [43;48;52;57;61;66;70],...
          [9;14;17;22;26;31],...
          [41;50;56;60;64],...
          [5;11;17;24;30;36],...
          [46;50;54;60;68],...
          [8;14;21;27;34],...
          [45;50;53;56;61;68;73],...
          [5;11;17;23;29;34],...
          [4;10;17;23;30],...
          [39;43;48;51;54;60;67;73]);
count=0;
for k=1:8
  data=Sheets(k).value(3:88,[1 3])
  T=data(:,1)*60;
  LH=data(:,2);
  sel=selections(k);
  data=Sheets(k).value(2:$,:)
  for l=1:size(sel,1)
    p.selection=sel(l,:)
    peakind = lhpeaks(LH, T,p);
    count=count+1;
    if or(peakind<>refs(count)) then mprintf("Cow %d failed on test %d for selection %d\n",k,2,l),pause,end
  end
end

